-- ----------------------------
-- 桌面终端应用编排表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_sst_apps_desk`;
CREATE TABLE mortals_xhx_sst_apps_desk(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '序号，主键，自增长',
    `siteId` bigint(20) NOT NULL     COMMENT '站点id',
    `appId` bigint(20) NOT NULL     COMMENT '应用id',
    `name` varchar(64)      COMMENT '应用名称',
    `describe` varchar(64)      COMMENT '应用描述',
    `url` varchar(128)      COMMENT '应用访问地址',
    `showBasic` tinyint(2)    DEFAULT '1'  COMMENT '是否展示基础应用1是0否',
    `basicSort` int(4)      COMMENT '基础应用排序号',
    `showHot` tinyint(2)    DEFAULT '1'  COMMENT '是否展示热门应用1是0否',
    `hotSort` int(4)      COMMENT '热门应用排序号',
    `createUserId` bigint(20)      COMMENT '创建用户',
    `createTime` datetime      COMMENT '创建时间',
    `updateUserId` bigint(20)      COMMENT '更新用户',
    `updateTime` datetime      COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='桌面终端应用编排';

-- ----------------------------
-- 申报事项表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_apply`;
CREATE TABLE mortals_sys_matter_apply(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '序号，主键，自增长',
    `siteId` bigint(20)      COMMENT '站点id',
    `siteName` varchar(255)      COMMENT '站点名称',
    `siteMatterId` bigint(20)      COMMENT '站点事项id',
    `matterId` bigint(20)      COMMENT '事项ID',
    `matterName` varchar(1024)      COMMENT '事项名称',
    `matterCode` varchar(512)      COMMENT '事项编码',
    `deptId` bigint(20)      COMMENT '部门ID',
    `deptName` varchar(128)      COMMENT '部门名称',
    `deptCode` varchar(255)      COMMENT '部门编码',
    `themeCode` varchar(255)      COMMENT '事项主题',
    `themeName` varchar(255)      COMMENT '事项主题',
    `source` tinyint(2)      COMMENT '事项来源',
    `reportCount` int(8)    DEFAULT '0'  COMMENT '申报次数',
    `datumCount` int(8)    DEFAULT '0'  COMMENT '材料数量',
    `govUrl` varchar(255)      COMMENT '政务网地址',
    `isConvert` tinyint(2)    DEFAULT '0'  COMMENT '是否生成本地附件',
    `createUserId` bigint(20) NOT NULL     COMMENT '创建用户',
    `createTime` datetime NOT NULL     COMMENT '创建时间',
    `updateUserId` bigint(20)      COMMENT '更新用户',
    `updateTime` datetime      COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='申报事项';

-- ----------------------------
-- 事项申请材料业务表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_datum`;
CREATE TABLE mortals_sys_matter_datum(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '主键，自增长',
    `matterId` bigint(20)      COMMENT '事项基础表matter id',
    `materialName` varchar(1024) NOT NULL     COMMENT '材料名',
    `isMust` varchar(32)    DEFAULT '1'  COMMENT '必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）',
    `materialType` varchar(32)    DEFAULT '1'  COMMENT '材料类型（1.无，2.原件，3.复印件，4.原件和复印件)',
    `materialProperty` varchar(32)    DEFAULT '1'  COMMENT '材料形式（1.纸质，2.电子，3.纸质|电子）',
    `electronicgs` varchar(32)    DEFAULT '1'  COMMENT '电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）',
    `materialSource` varchar(32)    DEFAULT '1'  COMMENT '材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）',
    `paperNum` tinyint(4)    DEFAULT '1'  COMMENT '纸质材料份数',
    `paperGg` varchar(32)      COMMENT '纸质材料规格',
    `jianmMs` varchar(32)    DEFAULT '1'  COMMENT '减免模式（1.无，2.减，3.免）',
    `sealWay` varchar(32)      COMMENT '盖章方式',
    `isjianm` varchar(32)    DEFAULT '1'  COMMENT '是否减免（0.否，1.是）',
    `isLack` varchar(32)    DEFAULT '1'  COMMENT '材料是否容缺（1.必要，2.非必要）',
    `ybUrl` varchar(512)      COMMENT '材料地址',
    `materialSourceSm` varchar(512)      COMMENT '来源渠道说明',
    `remarkSub` text      COMMENT '填报须知',
    `clauseContent` text      COMMENT '要求提供材料的依据',
    `summary` text      COMMENT '受理标准',
    `remark` varchar(512)      COMMENT '备注',
    `source` tinyint(2)    DEFAULT '0'  COMMENT '事项来源(0.政务网，1.自定义)',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建用户',
    `updateTime` datetime      COMMENT '修改时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='事项申请材料业务';

-- ----------------------------
-- 材料附件业务表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_datum_file`;
CREATE TABLE mortals_sys_matter_datum_file(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '主键，自增长',
    `datumId` bigint(20) NOT NULL     COMMENT '材料id',
    `matterId` bigint(20)      COMMENT '事项基础表matter id',
    `matterCode` varchar(512)      COMMENT '事项编码',
    `materialName` varchar(1024) NOT NULL     COMMENT '材料名',
    `fileName` varchar(255)      COMMENT '附件名称',
    `fileUrl` varchar(255)      COMMENT '附件下载地址',
    `filetype` tinyint(2)    DEFAULT '1'  COMMENT '附件类型 (1.示例样表，2.空白表格)',
    `source` tinyint(2)    DEFAULT '0'  COMMENT '附件来源 (0.政务网，1.自定义)',
    `localFileUrl` varchar(255)      COMMENT '本地文件地址',
    `previewUrl` varchar(255)      COMMENT '文件预览地址',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建用户',
    `updateTime` datetime      COMMENT '修改时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='材料附件业务';

-- ----------------------------
-- 站点材料公共库表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_datum_library`;
CREATE TABLE mortals_sys_datum_library(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '主键，自增长',
    `siteId` bigint(20)      COMMENT '站点id',
    `siteName` varchar(255)      COMMENT '站点名称',
    `datumId` bigint(20)      COMMENT '材料id',
    `matterId` bigint(20)      COMMENT '事项基础表matter id',
    `matterCode` varchar(512)      COMMENT '事项编码',
    `matterName` varchar(1024)      COMMENT '事项名称',
    `materialName` varchar(1024) NOT NULL     COMMENT '材料名',
    `isMust` varchar(32)    DEFAULT '1'  COMMENT '必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）',
    `materialType` varchar(32)    DEFAULT '1'  COMMENT '材料类型（1.无，2.原件，3.复印件，4.原件和复印件)',
    `materialProperty` varchar(32)    DEFAULT '1'  COMMENT '材料形式（1.纸质，2.电子，3.纸质|电子）',
    `electronicgs` varchar(32)    DEFAULT '1'  COMMENT '电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）',
    `materialSource` varchar(32)    DEFAULT '1'  COMMENT '材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）',
    `paperNum` tinyint(4)    DEFAULT '1'  COMMENT '纸质材料份数',
    `paperGg` varchar(32)      COMMENT '纸质材料规格',
    `jianmMs` varchar(32)    DEFAULT '1'  COMMENT '减免模式（1.无，2.减，3.免）',
    `sealWay` varchar(32)      COMMENT '盖章方式',
    `isjianm` varchar(32)    DEFAULT '1'  COMMENT '是否减免（0.否，1.是）',
    `isLack` varchar(32)    DEFAULT '1'  COMMENT '材料是否容缺（1.必要，2.非必要）',
    `ybUrl` varchar(512)      COMMENT '材料地址',
    `materialSourceSm` varchar(512)      COMMENT '来源渠道说明',
    `remarkSub` text      COMMENT '填报须知',
    `clauseContent` text      COMMENT '要求提供材料的依据',
    `summary` text      COMMENT '受理标准',
    `remark` varchar(512)      COMMENT '备注',
    `source` tinyint(2)    DEFAULT '0'  COMMENT '事项来源(0.政务网，1.自定义)',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建用户',
    `updateTime` datetime      COMMENT '修改时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='站点材料公共库';

